org.apache.hc.client5.http.entity

## Class DecompressingEntity

- java.lang.Object
- - org.apache.hc.core5.http.io.entity.HttpEntityWrapper
  - - org.apache.hc.client5.http.entity.DecompressingEntity

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hc.core5.http.EntityDetails, org.apache.hc.core5.http.HttpEntity
  Direct Known Subclasses:
    DeflateDecompressingEntity, GzipDecompressingEntity

      public class DecompressingEntity
      extends org.apache.hc.core5.http.io.entity.HttpEntityWrapper

  Common base class for decompressing `HttpEntity` implementations.
  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecompressingEntity(org.apache.hc.core5.http.HttpEntity wrapped, InputStreamFactory inputStreamFactory)` Creates a new `DecompressingEntity`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getContent()`
    `String` | `getContentEncoding()`
    `long` | `getContentLength()`
    `void` | `writeTo(OutputStream outStream)`

    - ### Methods inherited from class org.apache.hc.core5.http.io.entity.HttpEntityWrapper

      `close, getContentType, getTrailerNames, getTrailers, isChunked, isRepeatable, isStreaming, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DecompressingEntity

          public DecompressingEntity(org.apache.hc.core5.http.HttpEntity wrapped,
                             InputStreamFactory inputStreamFactory)

      Creates a new `DecompressingEntity`.
      Parameters:
        `wrapped` - the non-null `HttpEntity` to be wrapped
        `inputStreamFactory` - factory to create decompressing stream.

  - ### Method Detail

    - #### getContent

          public InputStream getContent()
                                 throws IOException

      Specified by:
        `getContent` in interface `org.apache.hc.core5.http.HttpEntity`
      Overrides:
        `getContent` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`
      Throws:
        `IOException`

    - #### writeTo

          public void writeTo(OutputStream outStream)
                       throws IOException

      Specified by:
        `writeTo` in interface `org.apache.hc.core5.http.HttpEntity`
      Overrides:
        `writeTo` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`
      Throws:
        `IOException`

    - #### getContentEncoding

          public String getContentEncoding()

      Specified by:
        `getContentEncoding` in interface `org.apache.hc.core5.http.EntityDetails`
      Overrides:
        `getContentEncoding` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`

    - #### getContentLength

          public long getContentLength()

      Specified by:
        `getContentLength` in interface `org.apache.hc.core5.http.EntityDetails`
      Overrides:
        `getContentLength` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.